import {
  scaleOrdinal
} from 'd3';

export default function render(selection,
                                fruits,
                                setSelectedId,
                                getSelectedId
                               ){ 
  
  const width = +selection.attr('width');
	const height = +selection.attr('height');
  
	const colorScale = scaleOrdinal()
	.domain(['orange', 'lemon'])
	.range(['#f77b07', '#f7f307']);

  const radiusScale = scaleOrdinal()
    .domain(['orange', 'lemon'])
    .range([70, 40]);
  
  
  const xPosition = (d, i) => i * 150 + 100;
  const yPosition = height/2;

  const circles = selection.selectAll('circle')
    .data(fruits, (d, i) => d.id);

  circles.enter()  
    .append('circle')
    .attr('cx', xPosition)
    .attr('cy', yPosition)
    .merge(circles)
  	.on('mouseover', (d, i, nodes) => setSelectedId(d.id))
  	.on('mouseout', () => setSelectedId(null))
    .attr('stroke', d => 
          d.id === getSelectedId() ?
         'blue' : 'none')
  	.attr('stroke-width', 5)
    .transition()
    .duration(1000)
    .attr('cx', xPosition)
    .attr('cy', yPosition)
    .attr('r', d => radiusScale(d.type))
    .attr('fill', d => colorScale(d.type))

  circles.exit()
    .transition()
    .duration(1000)
    .attr('r', 0)
    .remove();
}